## GDataCategory

GDataCategory — Atom category element

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataCategory * | gdata_category_new ()
const gchar * | gdata_category_get_term ()
void | gdata_category_set_term ()
const gchar * | gdata_category_get_scheme ()
void | gdata_category_set_scheme ()
const gchar * | gdata_category_get_label ()
void | gdata_category_set_label ()

## Properties

gchar * | label | Read / Write
gchar * | scheme | Read / Write
gchar * | term | Read / Write

## Types and Values

#define | GDATA_CATEGORY_SCHEMA_LABELS
#define | GDATA_CATEGORY_SCHEMA_LABELS_SHARED
#define | GDATA_CATEGORY_SCHEMA_LABELS_STARRED
#define | GDATA_CATEGORY_SCHEMA_LABELS_VIEWED
| GDataCategory
| GDataCategoryClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataCategory
                ╰── GDataYouTubeCategory

## Implemented Interfaces

GDataCategory implements GDataComparable.

## Includes

    #include <gdata/atom/gdata-category.h>

## Description

GDataCategory represents a "category" element from the

Atom specification.

## Functions

### gdata_category_new ()

    GDataCategory *
    gdata_category_new (const gchar *term,
                        const gchar *scheme,
                        const gchar *label);

Creates a new GDataCategory. More information is available in the Atom specification.

#### Parameters

term | a category identifier |
scheme | an IRI to define the categorisation scheme, or `NULL`. | [allow-none]
label | a human-readable label for the category, or `NULL`. | [allow-none]

#### Returns

a new GDataCategory, or `NULL`; unref with `g_object_unref()`

### gdata_category_get_term ()

    const gchar *
    gdata_category_get_term (GDataCategory *self);

Gets the “term” property.

#### Parameters

self | a GDataCategory |

#### Returns

the category's term

Since: 0.4.0

### gdata_category_set_term ()

    void
    gdata_category_set_term (GDataCategory *self,
                             const gchar *term);

Sets the “term” property to `term` .

#### Parameters

self | a GDataCategory |
term | the new term for the category |

Since: 0.4.0

### gdata_category_get_scheme ()

    const gchar *
    gdata_category_get_scheme (GDataCategory *self);

Gets the “scheme” property.

#### Parameters

self | a GDataCategory |

#### Returns

the category's scheme, or `NULL`

Since: 0.4.0

### gdata_category_set_scheme ()

    void
    gdata_category_set_scheme (GDataCategory *self,
                               const gchar *scheme);

Sets the “scheme” property to `scheme` .

Set `scheme` to `NULL` to unset the property in the category.

#### Parameters

self | a GDataCategory |
scheme | the new scheme for the category, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_category_get_label ()

    const gchar *
    gdata_category_get_label (GDataCategory *self);

Gets the “label” property.

#### Parameters

self | a GDataCategory |

#### Returns

the category's label, or `NULL`

Since: 0.4.0

### gdata_category_set_label ()

    void
    gdata_category_set_label (GDataCategory *self,
                              const gchar *label);

Sets the “label” property to `label` .

Set `label` to `NULL` to unset the property in the category.

#### Parameters

self | a GDataCategory |
label | the new label for the category, or `NULL`. | [allow-none]

Since: 0.4.0

## Types and Values

### GDATA_CATEGORY_SCHEMA_LABELS

    #define GDATA_CATEGORY_SCHEMA_LABELS "http://schemas.google.com/g/2005/labels"

A schema for categories which label the entry they're applied to in some way, such as starring it. The semantics of the various labels (such as `GDATA_CATEGORY_SCHEMA_LABELS_STARRED`) are service-specific.

Since: 0.11.0

### GDATA_CATEGORY_SCHEMA_LABELS_SHARED

    #define GDATA_CATEGORY_SCHEMA_LABELS_SHARED GDATA_CATEGORY_SCHEMA_LABELS"#shared"

A term for categories of the `GDATA_CATEGORY_SCHEMA_LABELS` schema which labels an entry as being “shared”. The semantics of this label are service-specific, but are obvious for services such as Google Documents.

Since: 0.17.0

### GDATA_CATEGORY_SCHEMA_LABELS_STARRED

    #define GDATA_CATEGORY_SCHEMA_LABELS_STARRED GDATA_CATEGORY_SCHEMA_LABELS"#starred"

A term for categories of the `GDATA_CATEGORY_SCHEMA_LABELS` schema which labels an entry as being “starred”. The semantics of this label are service-specific, but are obvious for services such as Google Documents.

Since: 0.11.0

### GDATA_CATEGORY_SCHEMA_LABELS_VIEWED

    #define GDATA_CATEGORY_SCHEMA_LABELS_VIEWED GDATA_CATEGORY_SCHEMA_LABELS"#viewed"

A term for categories of the `GDATA_CATEGORY_SCHEMA_LABELS` schema which labels an entry as being “viewed”. The semantics of this label are service-specific, but are obvious for services such as Google Documents.

Since: 0.17.0

### GDataCategory

    typedef struct _GDataCategory GDataCategory;

All the fields in the GDataCategory structure are private and should never be accessed directly.

### GDataCategoryClass

    typedef struct {
    } GDataCategoryClass;

All the fields in the GDataCategoryClass structure are private and should never be accessed directly.

Since: 0.4.0

## Property Details

### The `“label”` property

      “label”                    gchar *

A human-readable label for display in end-user applications.

For more information, see the

Atom specification.

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“scheme”` property

      “scheme”                   gchar *

An IRI that identifies a categorization scheme.

For more information, see the

Atom specification.

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“term”` property

      “term”                     gchar *

Identifies the category to which the entry or feed belongs.

For more information, see the

Atom specification.

Flags: Read / Write

Default value: NULL

Since: 0.4.0